# Generated from rubinius-toolset-3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubinius-toolset

Name: rubygem-%{gem_name}
Version: 3.0
Release: 1%{?dist}
Summary: A registry for Rubinius code tools
License: MPL-2.0
URL: https://github.com/rubinius/rubinius-code
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(mspec) >= 1.5
# BuildRequires: rubygem(mspec) < 2
# BuildRequires: rubygem(rubinius-bridge) >= 1.0
# BuildRequires: rubygem(rubinius-bridge) < 2
BuildArch: noarch

%description
Rubinius::ToolSet provides a registry for code tools. These include
the Rubinius bytecode compiler and parser. These, in turn, depend on
other components like the AST and bytecode emitter and serializer.
ToolSets provide a mechanism for other languages to reuse as much of
the Rubinius code tools as are suitable for that language.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Wed Apr 20 2022 mockbuilder - 3.0-1
- Initial package
